using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace DXGfxLib
{
    public partial class FileNameUIEditor : Form
    {
        public string associatedFileName = "";

        public FileNameUIEditor()
        {
            InitializeComponent();
        }

        public FileNameUIEditor(string fileName)
        {
            associatedFileName = fileName;
        }

        void selectBtn_Click(object sender, EventArgs e)
        {
            OpenFileDialog opdlg = new OpenFileDialog();

            opdlg.Filter = "All files (*.*)|*.*";
            opdlg.FilterIndex = 1;

            if (opdlg.ShowDialog() == DialogResult.OK)
            {
                associatedFileName = opdlg.FileName;
            }
        }

        public void Execute()
        {
            OpenFileDialog opdlg = new OpenFileDialog();

            opdlg.Filter = "All files (*.*)|*.*";
            opdlg.FilterIndex = 1;

            if (opdlg.ShowDialog() == DialogResult.OK)
            {
                associatedFileName = opdlg.FileName;
            }
        }
    }
}
